+++ /dev/null
-#! /bin/sh
-#
-# avahi avahi daemon
-# Daemon for ZeroConf
-#
-# Authors: <sebastien.estienne@gmail.com>
-#
-
-if [ -f /lib/lsb/init-functions ]
-then
- . /lib/lsb/init-functions
-else
- # int log_begin_message (char *message)
- log_begin_msg () {
- if [ -z "$1" ]; then
- return 1
- fi
- echo " * $@"
- }
-
- # int log_end_message (int exitstatus)
- log_end_msg () {
-
- # If no arguments were passed, return
- [ -z "$1" ] && return 1
-
- # Only do the fancy stuff if we have an appropriate terminal
- # and if /usr is already mounted
- TPUT=/usr/bin/tput
- EXPR=/usr/bin/expr
- if [ -x $TPUT ] && [ -x $EXPR ] && $TPUT hpa 60 >/dev/null 2>&1; then
- COLS=`$TPUT cols`
- if [ -n "$COLS" ]; then
- COL=`$EXPR $COLS - 7`
- else
- COL=73
- fi
- UP=`$TPUT cuu1`
- END=`$TPUT hpa $COL`
- START=`$TPUT hpa 0`
- RED=`$TPUT setaf 1`
- NORMAL=`$TPUT op`
- if [ $1 -eq 0 ]; then
- echo "$UP$END[ ok ]"
- else
- echo -e "$UP$START $RED*$NORMAL$END[${RED}fail${NORMAL}]"
- fi
- else
- if [ $1 -eq 0 ]; then
- echo " ...done."
- else
- echo " ...fail!"
- fi
- fi
- return $1
- }
-
-fi
-
-#set -e
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-DESC="Avahi mDNS/DNS-SD daemon"
-NAME="avahi-daemon"
-DAEMON="@sbindir@/$NAME"
-
-# Gracefully exit if the package has been removed.
-test -x $DAEMON || exit 0
-
-#
-# Function that starts the daemon/service.
-#
-d_start() {
- $DAEMON -D
-}
-
-#
-# Function that stops the daemon/service.
-#
-d_stop() {
- $DAEMON -k || /bin/true
-}
-
-#
-# Function that reload the config file for the daemon/service.
-#
-d_reload() {
- $DAEMON -r
-}
-
-
-case "$1" in
- start)
- log_begin_msg "Starting $DESC: $NAME"
- d_start
- log_end_msg $?
- ;;
- stop)
- log_begin_msg "Stopping $DESC: $NAME"
- d_stop
- log_end_msg $?
- ;;
- reload)
- log_begin_msg "Reloading services for $DESC: $NAME"
- d_reload
- log_end_msg $?
- ;;
- restart|force-reload)
- log_begin_msg "Restarting $DESC: $NAME"
- d_stop
- sleep 1
- d_start
- log_end_msg $?
- ;;
- *)
- echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload|reload}" >&2
- exit 1
- ;;
-esac
-
-exit 0
+# $Id$
-EXTRA_DIST=75avahi-daemon.in avahi-dnsconfd.in
-
-dbusinitddir = $(sysconfdir)/dbus-1/event.d
-dbusinitd_SCRIPTS = 75avahi-daemon
+# This file is part of avahi.
+#
+# avahi is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# avahi is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
+# License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with avahi; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA.
initddir = $(sysconfdir)/init.d
-initd_SCRIPTS = avahi-dnsconfd
-CLEANFILES=75avahi-daemon avahi-dnsconfd
+EXTRA_DIST = \
+ avahi-daemon.in \
+ avahi-dnsconfd.in
+
+initd_SCRIPTS = \
+ avahi-daemon \
+ avahi-dnsconfd
-75avahi-daemon: 75avahi-daemon.in
+CLEANFILES = \
+ avahi-daemon \
+ avahi-dnsconfd
+
+avahi-daemon: avahi-daemon.in
sed -e 's,@sbindir\@,$(sbindir),g' $< > $@
chmod +x $@
avahi-dnsconfd: avahi-dnsconfd.in
sed -e 's,@sbindir\@,$(sbindir),g' $< > $@
chmod +x $@
-
-#if ENABLE_DBUS
-#install-data-local:
-# $(LN_S) -f $(initddir)/avahi-daemon \
-# $(sysconfdir)/dbus-1/event.d/75avahi-daemon
-#endif
--- /dev/null
+#! /bin/sh
+#
+# avahi avahi daemon
+# Daemon for ZeroConf
+#
+# Authors: <sebastien.estienne@gmail.com>
+#
+
+if [ -f /lib/lsb/init-functions ]
+then
+ . /lib/lsb/init-functions
+else
+ # int log_begin_message (char *message)
+ log_begin_msg () {
+ if [ -z "$1" ]; then
+ return 1
+ fi
+ echo " * $@"
+ }
+
+ # int log_end_message (int exitstatus)
+ log_end_msg () {
+
+ # If no arguments were passed, return
+ [ -z "$1" ] && return 1
+
+ # Only do the fancy stuff if we have an appropriate terminal
+ # and if /usr is already mounted
+ TPUT=/usr/bin/tput
+ EXPR=/usr/bin/expr
+ if [ -x $TPUT ] && [ -x $EXPR ] && $TPUT hpa 60 >/dev/null 2>&1; then
+ COLS=`$TPUT cols`
+ if [ -n "$COLS" ]; then
+ COL=`$EXPR $COLS - 7`
+ else
+ COL=73
+ fi
+ UP=`$TPUT cuu1`
+ END=`$TPUT hpa $COL`
+ START=`$TPUT hpa 0`
+ RED=`$TPUT setaf 1`
+ NORMAL=`$TPUT op`
+ if [ $1 -eq 0 ]; then
+ echo "$UP$END[ ok ]"
+ else
+ echo -e "$UP$START $RED*$NORMAL$END[${RED}fail${NORMAL}]"
+ fi
+ else
+ if [ $1 -eq 0 ]; then
+ echo " ...done."
+ else
+ echo " ...fail!"
+ fi
+ fi
+ return $1
+ }
+
+fi
+
+#set -e
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DESC="Avahi mDNS/DNS-SD daemon"
+NAME="avahi-daemon"
+DAEMON="@sbindir@/$NAME"
+
+# Gracefully exit if the package has been removed.
+test -x $DAEMON || exit 0
+
+#
+# Function that starts the daemon/service.
+#
+d_start() {
+ $DAEMON -D
+}
+
+#
+# Function that stops the daemon/service.
+#
+d_stop() {
+ $DAEMON -k || /bin/true
+}
+
+#
+# Function that reload the config file for the daemon/service.
+#
+d_reload() {
+ $DAEMON -r
+}
+
+
+case "$1" in
+ start)
+ log_begin_msg "Starting $DESC: $NAME"
+ d_start
+ log_end_msg $?
+ ;;
+ stop)
+ log_begin_msg "Stopping $DESC: $NAME"
+ d_stop
+ log_end_msg $?
+ ;;
+ reload)
+ log_begin_msg "Reloading services for $DESC: $NAME"
+ d_reload
+ log_end_msg $?
+ ;;
+ restart|force-reload)
+ log_begin_msg "Restarting $DESC: $NAME"
+ d_stop
+ sleep 1
+ d_start
+ log_end_msg $?
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload|reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0